curl --request GET \
--url 'https://api.stateset.com/api/v1/loyalty/programs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"has_more": true,
"limit": 20,
"offset": 1,
"programs": [
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"points_per_dollar": 1,
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
List programs
List of loyalty programs
GET
/
api
/
v1
/
loyalty
/
programs
curl --request GET \
--url 'https://api.stateset.com/api/v1/loyalty/programs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"has_more": true,
"limit": 20,
"offset": 1,
"programs": [
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"points_per_dollar": 1,
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Query parameters
integer (int32)
Maximum number of results to return (default: 50).
integer (int32)
Number of results to skip (default: 0).
Response
LoyaltyProgramListResponse
boolean
required
integer (int32)
required
integer (int32)
required
LoyaltyProgramResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | List of loyalty programs |
400 | Invalid filter parameter |
curl --request GET \
--url 'https://api.stateset.com/api/v1/loyalty/programs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"has_more": true,
"limit": 20,
"offset": 1,
"programs": [
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"points_per_dollar": 1,
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Last modified on August 31, 2026